Last Comment Bug 735856 - Opt robocop failure after upgrading to SUT Agent 1.07 upgrade (testWebContentContextMenu | Bookmark removal verified - got false, expected true)
: Opt robocop failure after upgrading to SUT Agent 1.07 upgrade (testWebContent...
Status: RESOLVED FIXED
: intermittent-failure
Product: Testing
Classification: Components
Component: Talos (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla14
Assigned To: Geoff Brown [:gbrown]
:
:
Mentors:
: 736624 (view as bug list)
Depends on:
Blocks: 438871 723667
  Show dependency treegraph
 
Reported: 2012-03-14 14:22 PDT by Armen Zambrano [:armenzg] (EDT/UTC-4)
Modified: 2012-11-25 19:31 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
-
fixed
fixed


Attachments
sleep after (2.56 KB, patch)
2012-03-18 22:03 PDT, Geoff Brown [:gbrown]
jmaher: review+
Details | Diff | Splinter Review
sleep after adding bookmark (2.64 KB, patch)
2012-03-19 07:55 PDT, Geoff Brown [:gbrown]
gbrown: review+
Details | Diff | Splinter Review

Description Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-03-14 14:22:28 PDT
I constantly hit this:
> 11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true

See log:
http://tinderbox.mozilla.org/showlog.cgi?log=MobileTest/1331736889.1331739106.26798.gz&fulltext=1
Comment 1 Joel Maher ( :jmaher) 2012-03-15 10:53:15 PDT
I have seen this as well.
Comment 2 Geoff Brown [:gbrown] 2012-03-15 11:25:46 PDT
I would not expect this failure to be related to the SUT agent upgrade.

I get the same error running locally with adb.
Comment 5 Phil Ringnalda (:philor) 2012-03-16 15:26:03 PDT
*** Bug 736624 has been marked as a duplicate of this bug. ***
Comment 8 Treeherder Robot 2012-03-16 16:18:03 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10135545&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-16 15:10:17

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 9 Treeherder Robot 2012-03-16 16:40:57 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10135934&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-16 15:32:38

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 10 Treeherder Robot 2012-03-16 16:48:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10136801&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-16 16:00:15

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 11 Treeherder Robot 2012-03-16 17:39:18 PDT
fyan%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10131705&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-16 12:55:18

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 12 Treeherder Robot 2012-03-16 17:40:13 PDT
fyan%mozilla.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10134543&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-16 14:38:33

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 13 Treeherder Robot 2012-03-16 18:03:22 PDT
:emk
https://tbpl.mozilla.org/php/getParsedLog.php?id=10134398&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-16 14:42:56

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 14 Geoff Brown [:gbrown] 2012-03-16 18:09:52 PDT
Running locally, I see a sqlite exception prior to this assertion failure:

E/Cursor  ( 1306): Finalizing a Cursor that has not been deactivated or closed. database = /data/data/org.mozilla.fennec_mozdev/databases/browser-default.db, table = history_with_images, query = SELECT _id, url, title, favicon FROM history_with_images WHERE ((deleted = 0) AND ((url LIKE ? OR ti
E/Cursor  ( 1306): android.database.sqlite.DatabaseObjectNotClosedException: Application did not close the cursor or database object that was opened here
E/Cursor  ( 1306): 	at android.database.sqlite.SQLiteCursor.<init>(SQLiteCursor.java:212)
E/Cursor  ( 1306): 	at android.database.sqlite.SQLiteDirectCursorDriver.query(SQLiteDirectCursorDriver.java:53)
E/Cursor  ( 1306): 	at android.database.sqlite.SQLiteDatabase.rawQueryWithFactory(SQLiteDatabase.java:1454)
E/Cursor  ( 1306): 	at android.database.sqlite.SQLiteQueryBuilder.query(SQLiteQueryBuilder.java:330)
E/Cursor  ( 1306): 	at org.mozilla.fennec_mozdev.db.BrowserProvider.query(BrowserProvider.java:1217)
E/Cursor  ( 1306): 	at android.content.ContentProvider$Transport.query(ContentProvider.java:163)
E/Cursor  ( 1306): 	at android.content.ContentResolver.query(ContentResolver.java:245)
E/Cursor  ( 1306): 	at org.mozilla.gecko.db.LocalBrowserDB.filterAllSites(LocalBrowserDB.java:123)
E/Cursor  ( 1306): 	at org.mozilla.gecko.db.LocalBrowserDB.filter(LocalBrowserDB.java:139)
E/Cursor  ( 1306): 	at org.mozilla.gecko.db.BrowserDB.filter(BrowserDB.java:111)
E/Cursor  ( 1306): 	at org.mozilla.gecko.AwesomeBarTabs$3.runQuery(AwesomeBarTabs.java:809)
E/Cursor  ( 1306): 	at android.widget.CursorAdapter.runQueryOnBackgroundThread(CursorAdapter.java:309)
E/Cursor  ( 1306): 	at android.widget.CursorFilter.performFiltering(CursorFilter.java:49)
E/Cursor  ( 1306): 	at android.widget.Filter$RequestHandler.handleMessage(Filter.java:234)
E/Cursor  ( 1306): 	at android.os.Handler.dispatchMessage(Handler.java:99)
E/Cursor  ( 1306): 	at android.os.Looper.loop(Looper.java:123)
E/Cursor  ( 1306): 	at android.os.HandlerThread.run(HandlerThread.java:60)
D/Cursor  ( 1306): 
D/Cursor  ( 1306): Database path: /data/data/org.mozilla.fennec_mozdev/databases/browser-default.db
D/Cursor  ( 1306): 
D/Cursor  ( 1306): Table name   : history_with_images
D/Cursor  ( 1306): 
D/Cursor  ( 1306): SQL          : SQLiteQuery: SELECT _id, url, title, favicon FROM history_with_images WHERE ((deleted = 0) AND ((url LIKE ? OR title LIKE ?))) ORDER BY visits * MAX(1, (date - 1331946047846) / 86400000 + 120) DESC LIMIT 100
I/dalvikvm( 1306): Uncaught exception thrown by finalizer (will be discarded):
I/dalvikvm( 1306): Ljava/lang/IllegalStateException;: Finalizing cursor android.database.sqlite.SQLiteCursor@48332638 on history_with_images that has not been deactivated or closed
I/dalvikvm( 1306): 	at android.database.sqlite.SQLiteCursor.finalize(SQLiteCursor.java:613)
I/dalvikvm( 1306): 	at dalvik.system.NativeStart.run(Native Method)
D/dalvikvm( 1306): GC_FOR_MALLOC freed 10278 objects / 665152 bytes in 142ms
I/global  ( 1306): Default buffer size used in BufferedWriter constructor. It would be better to be explicit if an 8k-char buffer is required.
I/Robocop ( 1306): 11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
I/global  ( 1306): Default buffer size used in BufferedWriter constructor. It would be better to be explicit if an 8k-char buffer is required.
Comment 15 Treeherder Robot 2012-03-16 21:04:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10139619&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-16 17:41:20

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
55 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 16 Treeherder Robot 2012-03-16 22:08:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10139770&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-16 17:46:22

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 17 Treeherder Robot 2012-03-16 22:08:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10137365&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-16 16:21:02

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 18 Treeherder Robot 2012-03-16 22:09:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10140273&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-16 18:16:20

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 19 Treeherder Robot 2012-03-16 22:13:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10143580&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-16 21:12:23

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 20 Treeherder Robot 2012-03-16 23:39:53 PDT
:emk
https://tbpl.mozilla.org/php/getParsedLog.php?id=10144234&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-16 22:44:25

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
56 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 21 Treeherder Robot 2012-03-17 03:04:23 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10145444&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-17 01:54:33

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 22 Treeherder Robot 2012-03-17 03:35:46 PDT
mounir
https://tbpl.mozilla.org/php/getParsedLog.php?id=10143889&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-16 21:43:27

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 23 Treeherder Robot 2012-03-17 05:55:40 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10147584&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-17 04:44:41

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 24 Treeherder Robot 2012-03-17 06:02:38 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10145998&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-17 02:54:48

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 25 Treeherder Robot 2012-03-17 07:01:21 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=10148080&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-17 05:08:34

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 26 Treeherder Robot 2012-03-17 10:02:32 PDT
msucan
https://tbpl.mozilla.org/php/getParsedLog.php?id=10148834&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-17 05:49:19

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 27 Treeherder Robot 2012-03-17 11:26:34 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10146327&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-17 03:20:35

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 28 Treeherder Robot 2012-03-17 12:29:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10146995&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-17 03:55:55

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 29 Treeherder Robot 2012-03-17 13:14:56 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10152899&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-17 12:20:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 30 Treeherder Robot 2012-03-17 13:15:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10150972&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-17 08:24:48

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 31 Treeherder Robot 2012-03-17 13:18:04 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10150233&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-17 07:09:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 32 Treeherder Robot 2012-03-17 13:18:31 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10148612&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-17 05:33:33

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 33 Treeherder Robot 2012-03-17 13:33:18 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10153038&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-17 12:24:56

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 34 Treeherder Robot 2012-03-17 13:52:37 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10153679&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-17 12:50:32

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 35 Treeherder Robot 2012-03-17 14:08:28 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10153798&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-17 12:58:26

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
57 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 36 Treeherder Robot 2012-03-17 14:08:48 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10153698&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-17 12:59:48

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 37 Treeherder Robot 2012-03-17 14:33:49 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10154290&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-17 13:41:33

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 38 Treeherder Robot 2012-03-17 16:20:04 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10155479&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-17 15:24:18

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
56 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 39 Treeherder Robot 2012-03-17 18:31:52 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10143434&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-16 21:15:41

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 40 Treeherder Robot 2012-03-17 18:32:12 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10148502&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-17 05:17:28

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 41 Treeherder Robot 2012-03-17 18:32:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10140212&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-16 18:05:25

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 42 Treeherder Robot 2012-03-17 18:32:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10132011&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-16 13:01:28

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 43 Treeherder Robot 2012-03-17 18:40:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10156833&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-17 17:21:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
56 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 44 Treeherder Robot 2012-03-17 18:40:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10156899&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-17 17:33:48

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 45 Treeherder Robot 2012-03-17 21:01:16 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10158224&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-17 19:04:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
49 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 46 Treeherder Robot 2012-03-17 21:38:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10158887&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-17 20:46:48

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
57 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 47 Treeherder Robot 2012-03-17 21:58:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10159035&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-17 20:57:56

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 48 Treeherder Robot 2012-03-17 23:08:10 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10143722&tree=Services-Central
Android Tegra 250 services-central opt test robocop on 2012-03-16 21:33:57

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 49 Treeherder Robot 2012-03-18 03:03:05 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=10160933&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-18 02:15:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 50 Treeherder Robot 2012-03-18 04:58:30 PDT
:emk
https://tbpl.mozilla.org/php/getParsedLog.php?id=10161917&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-18 04:09:58

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
56 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 51 Treeherder Robot 2012-03-18 06:02:48 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=10162997&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-18 05:11:56

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 52 Treeherder Robot 2012-03-18 06:03:20 PDT
past
https://tbpl.mozilla.org/php/getParsedLog.php?id=10162705&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-18 04:46:38

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 53 Treeherder Robot 2012-03-18 06:47:05 PDT
WG9s
https://tbpl.mozilla.org/php/getParsedLog.php?id=10161847&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-18 03:52:48

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 54 Treeherder Robot 2012-03-18 08:23:26 PDT
mccr8
https://tbpl.mozilla.org/php/getParsedLog.php?id=10164701&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-18 07:27:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 55 Treeherder Robot 2012-03-18 09:40:01 PDT
ryanvm%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10163040&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-18 05:18:20

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 56 Treeherder Robot 2012-03-18 10:52:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10163081&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-18 05:13:13

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
187 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 57 Treeherder Robot 2012-03-18 12:43:54 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10166575&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-18 11:31:26

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 58 Treeherder Robot 2012-03-18 14:41:06 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10167356&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-18 13:47:48

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 59 Treeherder Robot 2012-03-18 14:51:41 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10167349&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-18 13:46:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 60 Treeherder Robot 2012-03-18 16:20:39 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10168684&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-18 15:20:48

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 61 Treeherder Robot 2012-03-18 18:03:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10169891&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-18 16:48:25

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 62 Treeherder Robot 2012-03-18 18:28:07 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10166608&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-18 11:42:30

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
56 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 63 Treeherder Robot 2012-03-18 18:35:09 PDT
bsmith
https://tbpl.mozilla.org/php/getParsedLog.php?id=10170364&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-18 17:32:50

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 64 Geoff Brown [:gbrown] 2012-03-18 19:28:27 PDT
(In reply to Geoff Brown [:gbrown] from comment #14)
> Running locally, I see a sqlite exception prior to this assertion failure:

Ignore this comment. The exception occurs because the test ends prematurely -- it doesn't cause the failure.
Comment 65 Treeherder Robot 2012-03-18 19:41:34 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10171054&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-18 18:35:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
56 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 66 Treeherder Robot 2012-03-18 20:20:14 PDT
nnethercote
https://tbpl.mozilla.org/php/getParsedLog.php?id=10169283&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-18 16:13:37

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 67 Geoff Brown [:gbrown] 2012-03-18 22:03:40 PDT
Created attachment 607066 [details] [diff] [review]
sleep after

It looks to me like the issue is that the bookmark is not created in the underlying tables before we try to remove it. I tried a few different approaches, but nothing seems to work as well as a simple sleep(). The waitForIdleSync's seem to help a slightly different problem that I occasionally see locally.
Comment 68 Phil Ringnalda (:philor) 2012-03-18 22:45:51 PDT
Why 2000?
Comment 69 Treeherder Robot 2012-03-19 00:06:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10173025&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-18 23:07:55

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 70 Treeherder Robot 2012-03-19 02:23:32 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10174173&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-19 00:56:55

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 71 Treeherder Robot 2012-03-19 02:23:40 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10173978&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-19 00:54:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 72 Treeherder Robot 2012-03-19 03:01:30 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10174762&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-19 01:57:40

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 73 Treeherder Robot 2012-03-19 03:10:00 PDT
Ms2ger%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10167607&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-18 14:02:59

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 74 Treeherder Robot 2012-03-19 05:42:34 PDT
jgilbert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10175586&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-19 03:22:41

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 75 Joel Maher ( :jmaher) 2012-03-19 07:22:13 PDT
Comment on attachment 607066 [details] [diff] [review]
sleep after

Review of attachment 607066 [details] [diff] [review]:
-----------------------------------------------------------------

if you cannot come up with a solution for the thread.sleep, at least lets put a todo comment there to figure something out in the future.

::: mobile/android/base/tests/testWebContentContextMenu.java.in
@@ +57,5 @@
>          loadUrl(url);
>  
> +        // Pause briefly, to ensure that the bookmark addition, above, updates database tables and
> +        // completes before checking that the bookmark exists.
> +        try { Thread.sleep(2000); } catch(Exception e) {}

I really really wish we could wait for some event here orcheck a state of something.  Sleeping is nasty stuff.
Comment 76 Geoff Brown [:gbrown] 2012-03-19 07:55:29 PDT
Created attachment 607166 [details] [diff] [review]
sleep after adding bookmark

Added TODO.

r=jmaher
Comment 77 Joel Maher ( :jmaher) 2012-03-19 08:15:58 PDT
inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/0e7fa46a9a43
Comment 78 Treeherder Robot 2012-03-19 11:48:53 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10184125&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-19 10:07:36

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 79 Treeherder Robot 2012-03-19 11:55:29 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10176408&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-19 04:25:29

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
66 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 80 Treeherder Robot 2012-03-19 11:56:14 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10177170&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-19 04:46:03

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 81 Treeherder Robot 2012-03-19 11:56:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10176408&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-03-19 04:25:29

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
66 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 82 Treeherder Robot 2012-03-19 12:02:13 PDT
Aryeh Gregor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10184331&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-19 10:42:53

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
55 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 83 Treeherder Robot 2012-03-19 13:03:44 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10186788&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-19 11:51:26

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
58 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 84 Treeherder Robot 2012-03-19 13:10:20 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10177536&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-19 05:14:28

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
188 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 85 Treeherder Robot 2012-03-19 13:12:06 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10187211&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-19 12:16:34

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 86 Treeherder Robot 2012-03-19 13:12:24 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10176946&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-19 04:46:09

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 87 Treeherder Robot 2012-03-19 13:59:43 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10188445&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-19 12:59:46

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 88 Ryan VanderMeulen [:RyanVM] 2012-03-19 15:49:03 PDT
Please remove the checkin-needed flag when checking things in...
Comment 89 Treeherder Robot 2012-03-19 16:26:44 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10189546&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-19 13:33:24

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 90 Treeherder Robot 2012-03-19 16:27:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10190590&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-19 14:07:24

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 91 Treeherder Robot 2012-03-19 16:27:25 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10188275&tree=Profiling
Android Tegra 250 profiling opt test robocop on 2012-03-19 12:55:07

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 92 Treeherder Robot 2012-03-19 19:22:18 PDT
jgilbert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10197854&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-19 18:28:12

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 93 Treeherder Robot 2012-03-19 21:10:11 PDT
mats
https://tbpl.mozilla.org/php/getParsedLog.php?id=10200693&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-19 20:07:49

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 94 Treeherder Robot 2012-03-20 02:23:37 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10206763&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-20 01:35:45

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 95 Treeherder Robot 2012-03-20 03:20:49 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10207154&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-20 02:01:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 96 Marco Bonardo [::mak] 2012-03-20 03:46:47 PDT
https://hg.mozilla.org/mozilla-central/rev/0e7fa46a9a43
Comment 97 Treeherder Robot 2012-03-20 07:22:35 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10212159&tree=Fx-Team
Android Tegra 250 fx-team opt test robocop on 2012-03-20 05:52:47

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 98 Treeherder Robot 2012-03-20 14:12:50 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10210417&tree=Firefox
Android Tegra 250 mozilla-central opt test robocop on 2012-03-20 04:57:24

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 99 Treeherder Robot 2012-03-20 14:34:35 PDT
jfkthame%gmail.com
https://tbpl.mozilla.org/php/getParsedLog.php?id=10216774&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-20 10:08:44

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 100 Treeherder Robot 2012-03-20 14:45:54 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10210728&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-20 05:06:32

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 101 Treeherder Robot 2012-03-20 15:23:36 PDT
mbrubeck
https://tbpl.mozilla.org/php/getParsedLog.php?id=10223629&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-20 14:27:56

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 102 Treeherder Robot 2012-03-20 22:55:15 PDT
jgilbert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10211769&tree=Try
Android Tegra 250 try opt test robocop on 2012-03-20 05:34:01

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
59 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 103 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-03-21 06:18:50 PDT
Could we please backport to Aurora?
Comment 104 Alex Keybl [:akeybl] 2012-03-21 14:31:29 PDT
We don't typically track intermittent test failures, only user facing issues that require changes in the product. That being said, we'd definitely approve this fix for Aurora/Beta since this is just a test change.
Comment 105 Treeherder Robot 2012-03-21 18:33:42 PDT
roc%ocallahan.org
https://tbpl.mozilla.org/php/getParsedLog.php?id=10253607&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-21 13:49:34

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
115 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 106 Treeherder Robot 2012-03-21 19:47:05 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10240153&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-21 05:21:25

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 107 Treeherder Robot 2012-03-21 22:06:15 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10265736&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-21 20:49:41

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 108 Treeherder Robot 2012-03-22 03:04:13 PDT
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=10272347&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-22 01:51:55

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 109 Treeherder Robot 2012-03-22 11:14:35 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10275603&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-22 04:52:52

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 110 Treeherder Robot 2012-03-22 11:19:49 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10275999&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-22 05:12:02

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
189 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 111 Treeherder Robot 2012-03-23 09:31:11 PDT
froydnj
https://tbpl.mozilla.org/php/getParsedLog.php?id=10316041&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-23 06:52:43

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
187 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 112 Treeherder Robot 2012-03-23 14:24:53 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10324878&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-23 12:26:54

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
188 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 113 Treeherder Robot 2012-03-23 22:36:33 PDT
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=10336883&tree=Mozilla-Aurora
Android Tegra 250 mozilla-aurora opt test robocop on 2012-03-23 19:11:29

11 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
181 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Bookmark removal verified - got false, expected true
Comment 114 Mark Finkle (:mfinkle) (use needinfo?) 2012-03-24 09:02:59 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/fec6e5de001e
Comment 115 Armen Zambrano [:armenzg] (EDT/UTC-4) 2012-03-26 07:30:15 PDT
Thanks mfinkle!
Comment 116 Treeherder Robot 2012-10-02 06:50:07 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=15740320&tree=Mozilla-Inbound
Android Tegra 250 mozilla-inbound opt test robocop on 2012-10-02 05:45:47
slave: tegra-280

3 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | looking for context menu action - found 'Open Link in New Tab'
junit.framework.AssertionFailedError: 3 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | looking for context menu action - found 'Open Link in New Tab'
4 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | Exception caught - junit.framework.AssertionFailedError: 3 INFO TEST-UNEXPECTED-FAIL | testWebContentContextMenu | looking for context menu action - found 'Open Link in New Tab'

Note You need to log in before you can comment on or make changes to this bug.